org.hibernate.search.annotations

## Enum Store

- java.lang.Object
- - java.lang.Enum<Store>
  - - org.hibernate.search.annotations.Store

- All Implemented Interfaces:
    Serializable, Comparable<Store>

      public enum Store
      extends Enum<Store>

  Whether or not the value is stored in the document
  Author:
    Emmanuel Bernard

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COMPRESS` stores the value in the index in a compressed form
    `NO` does not store the value in the index
    `YES` stores the value in the index

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Store` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Store[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NO

          public static final Store NO

      does not store the value in the index

    - #### YES

          public static final Store YES

      stores the value in the index

    - #### COMPRESS

          public static final Store COMPRESS

      stores the value in the index in a compressed form

  - ### Method Detail

    - #### values

          public static Store[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Store c : Store.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Store valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved